Announcement

Collapse
No announcement yet.

VB4 Gold release estimate?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Sorry guys, didn't mean to come off critical - just get frustrated seeing the 'minimum specs' and user error used as an excuse for installation/upgrade failure. It certainly is a source, but this is the first version to have what seems to be a lot of 'minimum spec' issues and if it is such an issue, steps should be taken to test and inform the user better than is happening now. The reality could be that this is not uncommon, I am just commenting on what 'seems to be the case'. FWIW, I have installed happily on testbeds, but staging my live server has yielded nothing but serious errors (and my server exceeds minimum spec). I am still looking into my side of things as I want to make certain that its not a fault on my side, but reality is I haven't ever had this much trouble staging an upgrade.
    My Twitterings

    Comment


    • #17
      I hope it's sooner rather than later, by the end of the year would be great, if they need a bit more time to get the bugs sorted then so be it.
      bushcraft uk

      Tone
      Explore : Discover : Achieve

      Comment


      • #18
        I've been building websites and using scripts such as vB for over 5 years now. I've used who knows how many different packaged scripts such as this, and I can only recall once when my server did not meet the minimum requirements for the script that I was trying to install. I'll be honest, I never compare my server specs to the minimum requirement for the software. I simply assume that it will work. I think this is a valid assumption.

        If the script requires a certain version or feature of server specs that is not very common, then I agree with the geek in that the installer should check for this requirement before proceeding - OR, the software needs to be modified to be able to support the older and still widely used server specs.

        I don't think that the end-user should be expected to actually verify that they have the correct version of PHP, MySQL, encoders, and so on and so forth before installing software. That's asking too much these days when installer scripts can be so intelligent and when webmasters are not required to know or understand technical aspects of their server.

        Oh, and vB4 will go Gold whenever it's ready
        vB Skins. Superior Support.
        Follow us @ForumFlux

        Comment


        • #19
          Originally posted by the geek View Post
          this is the first version to have what seems to be a lot of 'minimum spec' issues
          This is not a version yet, this is beta, so to say.
          and if it is such an issue, steps should be taken to test and inform the user better than is happening now.
          Beta = no support. If you have issues installing, report it as a bug. But with non supported beta software you can't expect someone holding your hand, so to say.

          Of course there are issues, and if they are reported properly, they'll get looked at and very likely taken care of until gold, maybe even for the next beta. geek, you're experienced, and you should know better than not expecting bugs in a beta - in every part of it, and that entails the installation process, of course. And it's perfectly natural that they rather spend their time fixing the bugs than writing tutorials and stuff how to get around issues that very likely won't be there anymore once this software gets to be a supported gold version. You can't measure this first public beta with the standards you have for "real" releases.

          Comment


          • #20
            wha?

            Where did I ever ask for hand holding, a bug free beta or when did I try to hold it up against my standards for a gold release?!?

            Let me rephrase: This is the first version (regardless of alpha/beta/gamma/rc/gold) that I have seen with so many 'minimum Spec' issues. I assume this is run of the mill for you then? You don't have to be so defensive when someone makes constructive criticism.
            My Twitterings

            Comment


            • #21
              Sorry, I still read your post the way I understood it, sorry if I have mistaken you. Anyway, I will voice my opinion just like anybody else, whether people will call me defansive or not

              Comment


              • #22
                Originally posted by GTAce View Post
                I've been building websites and using scripts such as vB for over 5 years now. I've used who knows how many different packaged scripts such as this, and I can only recall once when my server did not meet the minimum requirements for the script that I was trying to install. I'll be honest, I never compare my server specs to the minimum requirement for the software. I simply assume that it will work. I think this is a valid assumption.

                If the script requires a certain version or feature of server specs that is not very common, then I agree with the geek in that the installer should check for this requirement before proceeding - OR, the software needs to be modified to be able to support the older and still widely used server specs.

                I don't think that the end-user should be expected to actually verify that they have the correct version of PHP, MySQL, encoders, and so on and so forth before installing software. That's asking too much these days when installer scripts can be so intelligent and when webmasters are not required to know or understand technical aspects of their server.

                Oh, and vB4 will go Gold whenever it's ready
                I agree. And it would be surprising if the VB team didn't enhance the installation routine to include these kinds of checks before it hits gold.
                www.overclockingwiki.org

                Comment


                • #23
                  I have to agree here installation checks should be a mandatory process really, i mean other forum software has that function already

                  Comment


                  • #24
                    Hopefully it's before the end of the year. I was planning on taking some of my remaining vacation time from my real job (end of December) to rebuild my site with VB4. Please?

                    Comment


                    • #25
                      I upgraded from 3.8.1 ( http://www.alizee-forum.com ) to beta 3 ( http://test.alizee-forum.com ) so far no problems. Still waiting to upgrade my working site... Anyone knows a good gallery addon for the upcoming vb4?
                      http://www.riccardo-ulpts.com

                      Comment


                      • #26
                        Originally posted by riccardo83 View Post
                        I upgraded from 3.8.1 ( http://www.alizee-forum.com ) to beta 3 ( http://test.alizee-forum.com ) so far no problems. Still waiting to upgrade my working site... Anyone knows a good gallery addon for the upcoming vb4?
                        as my forum was dead anyhow i went and just replaced it with beta 3 other it hanging on one step for a while i had no issues with the install.

                        as for gallery addon i was hoping the built in photo album would work just fine for me. if not then i am going to have to modify some stuff so i can use my current image gallery and then find a great video gallery. the video gallery i use now is not so bad but it is not too user friendley.



                        EDIT as for a GOLD realease i see it happening by the end of 2009, after all there is a public beta 4 now
                        Last edited by Mike Anime; Thu 19 Nov '09, 4:06pm. Reason: added something

                        Comment


                        • #27
                          oh ok, lets try beta 4, i just downloaded 3 for the first time today :-) Ill check out the gallery as well, I do have thousands of pictures so i hope it will work.
                          http://www.riccardo-ulpts.com

                          Comment


                          • #28
                            Originally posted by riccardo83 View Post
                            oh ok, lets try beta 4, i just downloaded 3 for the first time today :-) Ill check out the gallery as well, I do have thousands of pictures so i hope it will work.

                            as do i i just hope the built in gallery will work for us

                            Comment


                            • #29
                              When will the gold release be?

                              The Gold release will come once all of our release criteria have been satisfied. At this time, we expect Gold to be released before the end of the year.
                              http://www.vbulletin.com/forum/showt...=1#post1838067
                              vBulletin Services I offer: www.Todo10.com
                              Technical vB/Server/Hosting support Service also!

                              Comment


                              • #30
                                I didn't see a lot of improvement from b3 to b4. In fact, b4 brought problems with it for me.

                                I think the forum needs to be released first.
                                The CMS needs some more functionality that really can't wait until 4.1. Not to mention all the bugs.
                                Before the end of the year is very optimistic as far as I am concerned.

                                I need to have a CMS site up and running by Jan 1. I would love to have it incorporated with vB.
                                In 2 weeks I will have to decide a plan B unless b5 really shows promise.
                                We all gotta do what we gotta do.
                                ...steven
                                www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
                                bmwcca.org/forum | m135i.net
                                "I tried to clean this up but this thread is beyond redemption." - Steve Machol

                                Comment

                                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                                Working...
                                X